
/*pour les box semi-transparentes*/
.card {
    background: rgba(0, 0, 0, 0.19);
    backdrop-filter: blur(20px);
    border-radius: 70px 10px 70px 10px;
    padding: 50px 60px;
    box-shadow: 0 8px 32px rgba(0, 0, 0, 0.2);
    border: 3px solid rgba(255, 255, 255, 0.3);
    color: white;
    margin-bottom: 10px;
}

/*pour les titres de pages*/
h1 {
    color: white;
    font-size: 3rem;
    font-weight: bold;
    text-align: center;
    margin-bottom: 40px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
}

/*style des entry*/
input {
    width: 100%;
    padding: 18px 25px;
    border: 3px solid #b8e986;
    border-radius: 15px;
    font-size: 16px;
    background: white;
    outline: none;
    transition: all 0.3s ease;
    color: black;
}


input:focus {
    border-color: #65b6d6;
    box-shadow: 0 0 10px rgba(134, 162, 233, 0.5);
}

input::placeholder {
    color: #aaa;
}

/*bouton dégradé vert/bleu*/
.btn-submit {
    width: 100%;
    padding: 10px;
    background: linear-gradient(90deg, #4fc3f7, #b8e986);
    border: none;
    border-radius: 20px;
    color: white;
    font-size: 30px;
    font-weight: bold;
    cursor: pointer;
    margin-top: 20px;
    transition: all 0.3s ease;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
    text-align: center;
    text-decoration: none;
}

.separator{
    border: none;
    height: 1px;
    background-color: white;
    margin: 20px 0;
}
.select{
    background-color: white;
    padding: 18px 25px;
    border: none;
    border: 3px solid #b8e986;
    border-radius: 15px;
}
/*a mettre par dessus les button pour les rendre plus petit*/
.btn-small {
    width: auto;
    padding: 10px 20px;
    font-size: 1rem;
    margin-top: 0;
}
.btn-submit:hover {
    transform: translateY(-2px);
    box-shadow: 0 6px 20px rgba(79, 195, 247, 0.4);
}

.btn-submit:active {
    transform: translateY(0);
}


.error {
    color: #ffffff;
    font-size: 14px;
    margin-top: 5px;
    margin-bottom: 10px;
    display: block;
    background: rgba(239, 66, 66, 0.9);
    padding: 15px 0px;
    border-radius: 50px;
    text-align: center;
}

/* Style de base pour les messages */
.success-message, .error-message {
    position: fixed;
    top: 20px;
    right: -100%; /* Initialement caché à droite */
    width: 300px;
    padding: 15px;
    border-radius: 5px;
    color: white;
    font-weight: bold;
    z-index: 1000;
    transition: all 1s ease-in-out;
}

.success-message {
    background-color: #4CAF50; /* Vert pour succès */
}

.error-message {
    background-color: #f44336; /* Rouge pour erreur */
}

/* Animation pour glissement */
@keyframes slideIn {
    0% {
        right: -100%; /* Commence en dehors de l'écran */
    }
    25% {
        right: 20px; /* Position finale à droite */
    }
    75% {
        right: 20px;
    }
    100% {
        right: -100%; /* S'éloigne de l'écran */
    }
}

/* Activation de l'animation lorsque le message est affiché */
.success-message.show {
    animation: slideIn 10s ease forwards;
}

/* Activation de l'animation lorsque le message est affiché */
.error-message.show {
    animation: slideIn 10s ease forwards;
}

/* Lorsque le message est caché (avant l'animation), il doit disparaître lentement */
.success-message.hide, .error-message.hide {
    right: -100%;
}


.headerTitle {
  display: flex;
  justify-content: space-between;
}

.a-profile {
  text-decoration: none;
  background: linear-gradient(90deg, #4fc3f7, #b8e986);
  border-radius: 50px;
  padding: 20px;
  color: white;
  font-weight: bold;
}

.btn-logout {
  background-color: red;
  border: none;
  color: white;
  padding: 10px;
  border-radius: 10px;
  font-weight: bold;
}



/* Responsive pour écrans inférieurs à 800px */
@media screen and (max-width: 800px) {
    .card {
        padding: 25px 20px;
        border-radius: 30px 10px 30px 10px;
    }

    h1 {
        font-size: 2rem;
        margin-bottom: 20px;
    }

    input,
    .select {
        padding: 14px 18px;
        font-size: 14px;
    }

    .btn-submit {
        font-size: 1.2rem;
        padding: 12px;
    }

    .btn-small {
        font-size: 0.9rem;
        padding: 8px 15px;
    }

    .headerTitle {
        align-items: center;
        gap: 15px;
        text-align: center;
    }

    .a-profile {
        padding: 12px 18px;
        font-size: 10px;
    }

     .btn-logout {
        width: 100%;
        max-width: 250px;
        font-size: 10px;
    }

    .success-message,
    .error-message {
        width: calc(100% - 40px);
        right: -120%;
    }

    .error {
        font-size: 13px;
        padding: 12px;
    }
}

/* Responsive pour écrans inférieurs à 500px */
@media screen and (max-width: 500px) {
    .card {
        padding: 25px 20px;
        border-radius: 30px 10px 30px 10px;
    }

    h1 {
        font-size: 2rem;
        margin-bottom: 20px;
    }

    input,
    .select {
        padding: 14px 1px;
        font-size: 12px;
    }

    .btn-submit {
        font-size: 1.2rem;
        padding: 12px;
    }

    .btn-small {
        font-size: 0.9rem;
        padding: 8px 15px;
    }

    .headerTitle {
        align-items: center;
        gap: 15px;
        text-align: center;
    }

    .a-profile {
        padding: 12px 18px;
        font-size: 10px;
    }

     .btn-logout {
        width: 100%;
        max-width: 250px;
        font-size: 10px;
    }

    .success-message,
    .error-message {
        width: calc(100% - 40px);
        right: -120%;
    }

    .error {
        font-size: 13px;
        padding: 12px;
    }
}